//header for SPF_Tree

#ifndef deftestspftd
 #include "SPF_Tree_Data.h"
#endif

#define deftestspft

class SPF_Tree 
{
 public:
  SPF_Tree();
  ~SPF_Tree();
  void initialize();
  int addData(IP vertex, IP nextHop, int distance, char type);
  int addNextHop(IP vertex, IP nextHop);
  int getCost(IP vertex);
  int existVertex(IP vertex);
  int updatePath(IP vertex, IP nextHop, int distance);
  int getSize();
  SPF_Tree_Data getData(int i);

  // Data Members for Class Attributes
 private:
  int treeSize;
  SPF_Tree_Data *tree_Data;
};
